diff --git a/GNUmakefile.in b/GNUmakefile.in
index 69e0824..c32701f 100644
--- a/GNUmakefile.in
+++ b/GNUmakefile.in
@@ -23,6 +23,13 @@ world:
 # build src/ before contrib/
 world-contrib-recurse: world-src-recurse
 
+$(call recurse,binworld,src config contrib,all)
+binworld:
+	+@echo "PostgreSQL and contrib successfully made. Ready to install."
+
+# build src/ before contrib/
+binworld-contrib-recurse: binworld-src-recurse
+
 html man:
 	$(MAKE) -C doc $@
 
@@ -39,6 +46,13 @@ install-world:
 # build src/ before contrib/
 install-world-contrib-recurse: install-world-src-recurse
 
+$(call recurse,install-binworld,src config contrib,install)
+install-binworld:
+	+@echo "PostgreSQL and contrib installation complete."
+
+# build src/ before contrib/
+install-binworld-contrib-recurse: install-binworld-src-recurse
+
 $(call recurse,installdirs uninstall coverage init-po update-po,doc src config)
 
 $(call recurse,distprep,doc src config contrib)
